# Uses of Class
com.databricks.jdbc.model.telemetry.DriverSystemConfiguration

Packages that use DriverSystemConfiguration
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.telemetry

## Uses of DriverSystemConfiguration in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return DriverSystemConfiguration
Modifier and Type
Method
Description
`DriverSystemConfiguration`
TelemetryEvent.`getDriverSystemConfiguration()`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setCharSetEncoding(String charSetEncoding)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setClientAppName(String clientAppName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setDriverName(String driverName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setDriverVersion(String driverVersion)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setLocaleName(String localeName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setOsArch(String osArch)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setOsName(String osName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setOsVersion(String osVersion)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setProcessName(String processName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setRuntimeName(String runtimeName)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setRuntimeVendor(String runtimeVendor)`
`DriverSystemConfiguration`
DriverSystemConfiguration.`setRuntimeVersion(String runtimeVersion)`
Methods in com.databricks.jdbc.model.telemetry with parameters of type DriverSystemConfiguration
Modifier and Type
Method
Description
`TelemetryEvent`
TelemetryEvent.`setDriverSystemConfiguration(DriverSystemConfiguration driverSystemConfiguration)`

## Uses of DriverSystemConfiguration in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry that return DriverSystemConfiguration
Modifier and Type
Method
Description
`static DriverSystemConfiguration`
TelemetryHelper.`getDriverSystemConfiguration()`